Name:           perl-MooseX-MultiMethods
Version:        0.10
Release:        4%{?dist}
Summary:        Multi Method Dispatch based on Moose type constraints
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/MooseX-MultiMethods/
Source0:        http://www.cpan.org/authors/id/F/FL/FLORA/MooseX-MultiMethods-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(aliased)
BuildRequires:  perl(Devel::Declare) >= 0.004000
BuildRequires:  perl(Devel::PartialDump)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Moose)
BuildRequires:  perl(MooseX::Method::Signatures) >= 0.29
BuildRequires:  perl(MooseX::Types::Moose)
BuildRequires:  perl(MooseX::Types::VariantTable) >= 0.03
BuildRequires:  perl(namespace::autoclean)
BuildRequires:  perl(Sub::Install)
# tests
BuildRequires:  perl(MooseX::Declare)
BuildRequires:  perl(Test::Exception)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::NoWarnings)

Requires:       perl(MooseX::Types::VariantTable) >= 0.03
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%{?perl_default_filter}

%description
This module provides multi method dispatch based on Moose type constraints.
It does so by providing a multi keyword that extends the method keyword
provided by MooseX::Method::Signatures.

%prep
%setup -q -n MooseX-MultiMethods-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%defattr(-,root,root,-)
%doc Changes dist.ini LICENSE README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Dec 21 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.10-3
- 661697 rebuild for fixing problems with vendorach/lib

* Fri Aug 06 2010 Iain Arnell <iarnell@gmail.com> 0.10-2
- Remove unnecessary explicit requires

* Sat Jul 10 2010 Iain Arnell <iarnell@gmail.com> 0.10-1
- Specfile autogenerated by cpanspec 1.78.
- Additional BRs for tests
